- pattern:
    id: 'not valid Name'
  messages:
    - "id: This value is not valid."
    - "label: This value should not be null."
    - "base path: This value should not be null."
    - "file name: This value should not be null."
    - "provider: This value should not be null."
    - "theme hook: This value should not be null."
- pattern:
    id: 'id'
  messages:
    - "id: This value is not valid."
    - "label: This value should not be null."
    - "base path: This value should not be null."
    - "file name: This value should not be null."
    - "provider: This value should not be null."
    - "theme hook: This value should not be null."
- pattern:
    id: pattern_id
    label: label
    description: description
    fields:
      fass:
        name: 'not valid name'
  messages:
    - "base path: This value should not be null."
    - "file name: This value should not be null."
    - "provider: This value should not be null."
    - "fields.0.name: This value is not valid."
    - "fields.0.label: This value should not be null."
    - "theme hook: This value should not be null."
- pattern:
    id: pattern_id
    label: label
    description: description
    fields:
      type:
        type: text
        label: type
        description: description
        preview: preview
  messages:
    - "base path: This value should not be null."
    - "file name: This value should not be null."
    - "provider: This value should not be null."
    - "fields.0.name: This value should not be null."
    - "theme hook: This value should not be null."
- pattern:
    id: pattern_id
    label: label
    description: description
    base path: /path/to/pattern
    file name: pattern_id.ui_patterns.yml
    theme hook: pattern_pattern_id
    provider: module
    fields:
      -
        name: camelName
        label: Label
        type: text
        description: description
        preview: preview
      -
        name: name
        label: Label
  messages: []
